A group of related commands

### Hierarchy

- ICliCommandGroupOptions
  - ICliCommandGroup

## Index

### Properties

- description
- hidden
- kind
- name
- subcommands

## Properties

### Optional description

description: TCliDescription

Inherited from ICliCommandGroup.description

- Defined in src/cli-command-group.ts:13

A short description for command-line usage

### Optional hidden

hidden: undefined | false | true

Inherited from ICliCommandGroup.hidden

- Defined in src/cli-command-group.ts:16

If `true`, hide these commands in command-line usage

### kind

kind: typeof CLI_COMMAND_GROUP

- Defined in src/cli-command-group.ts:28

Used internally for discriminating between `ICliCommandGroup`'s and `ICliCommand`'s

### name

name: string

Inherited from ICliCommandGroup.name

- Defined in src/cli-command-group.ts:10

Name of this command group

### subcommands

subcommands: (ICliCommandGroup | ICliCommand<any, any, any>)[]

Inherited from ICliCommandGroup.subcommands

- Defined in src/cli-command-group.ts:19

The `ICliCommandGroup`s and/or `ICliCommand`s in this group

Generated using TypeDoc and MonoLisa